r script "LockException: Node locked"

Jul 14, 2017 01:52 PM - Debhsish Bhakta

Status: Closed Start date: Jul 14, 2017

Priority: High Due date:  

Assignee: Valentina Marioli % Done: 100%

Category: Data Management Estimated time: 0.00 hour

Infrastructure: Development   

Description

Hello Valentina,

I am facing some issue with SAI save option.The detail of the published algorithm is given below

The user: Debhsish Bhakta 

Algorithm name: UserDefineShapefile 

Link to Dataminer

https://bluebridge.d4science.org/group/rprototypinglab/data-miner?OperatorId=org.gcube.dataanalysis.wps.statisticalmanager.synch

server.mappedclasses.transducerers.USERDEFINESHAPEFILE

jar: http://data.d4science.org/NkJIQkh4aFd5dzBNdEhrTUQyQlZjb1NhN2dhUkswVU1HbWJQNStIS0N6Yz0

Actually, I am unable to save the edited script and when I try to save the script an error window (attached) is popup  with

message “LockException: Node locked.”

Do I need to configure something to enable the save changes in SAI?

Regards

Debhasish 

History

#1 - Jul 14, 2017 02:36 PM - Leonardo Candela

I'm wondering whether @g.panichi@isti.cnr.it can help here. 

#2 - Jul 14, 2017 04:43 PM - Valentina Marioli

- Status changed from New to In Progress

#3 - Jul 14, 2017 05:56 PM - Valentina Marioli

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

The lock has been removed.

Please @debhasish.bhakta@grida.no , try again to edit and save the script.

Thanks.

#4 - Jul 17, 2017 10:03 AM - Debhsish Bhakta

- File error2.png added

Hello Valentina,

Thank you ! Now I am able to save and repackage the script.

But still I have some doubt because save changes in the script is not reflecting in the dataminer algorithm. 

Link to Dataminer

https://bluebridge.d4science.org/group/rprototypinglab/data-miner?OperatorId=org.gcube.dataanalysis.wps.statisticalmanager.synchserver.mappedcl

asses.transducerers.USERDEFINESHAPEFILE
Even I have tried with removing all the business logic from the script with simple code to track the changes of script in the Dataminer  but still it

through a same error before and after (attached).

Could you conform  the script and the dataminer is linked (or may be you have some better explanation)

Regards

Debhasish

#5 - Jul 17, 2017 10:10 AM - Paolo Scarponi

After saving your script do you perform any "repackaging" operation? The reason why I am asking such question is that the repackaging is the action

that actually reflects your script changes into the dataminer algorithm. Please refer to the following wiki:

https://wiki.gcube-system.org/gcube/Statistical_Algorithms_Importer

#6 - Jul 17, 2017 10:14 AM - Paolo Scarponi

- Status changed from Feedback to Closed

I also proceed to close the ticket because the issue it was opened for is solved

Files

error.png 114 KB Jul 14, 2017 Debhsish Bhakta

error2.png 115 KB Jul 17, 2017 Debhsish Bhakta
